import 'package:app_hit_a_wod/src/models/payment_type.model.dart';
import 'package:json_annotation/json_annotation.dart';

part 'payment.model.g.dart';

@JsonSerializable()
class Payment {

  Payment();

  factory Payment.fromJson(Map<String, dynamic> json) => _$PaymentFromJson(json);
  Map<String, dynamic> toJson() => _$PaymentToJson(this);

  int id;
  int payment_type_id;
  bool charged;
  double amount;
  DateTime created_at;
  DateTime updated_at;
  PaymentType payment_type;

}